<?php
	//---------------------------------------------
	//require_once('wiras_php/pr.php');
	//require_once('wiras_php/wa_baza/wa_polacz.php');
	//echo $host;
	class blog{	
/*	
		var $host="mysql14.mydevil.net";
	    var $db_user="m1332_wa_admin";
	    var $db_name="m1332_wa";
	    var $db_password="01062017_Was";
*/
		var $host="mysql.superhost.pl";
		var $db_user="bossmat_pk";
		var $db_name="bossmat_asystent";
		var $db_password="baza_pksds";
		
		//------------------------------------
		//Zapis ustawien wygladu bloga
		function blog_zapis($zap) {	
			$polaczenie = new mysqli($this->host, $this->db_user, $this->db_password, $this->db_name);
				if ($polaczenie->connect_errno!=0) {
					komunikat("Error: ".$polaczenie->connect_errno);
				}
				else {
					$rezultat = $polaczenie->query($zap);
					if ($rezultat ===false) {
					$this->komunikat('Źle sformułowane zapytanie');
					$polaczenie ->close();
					} else {					
						$polaczenie ->close();
					}
				}
		}
		//------------------------------------		
		
		//------------------------------------
		//Pobierz ustawienia wygladu bloga
		function pobierz_ustawienia($zap) {			 
			$polaczenie = @new mysqli($this->host, $this->db_user, $this->db_password, $this->db_name);
				if ($polaczenie->connect_errno!=0) {
					komunikat("Error: ".$polaczenie->connect_errno);
				}
				else {
					$rezultat = $polaczenie->query($zap);
					if ($rezultat ===false) {
						komunikat('Źle sformułowane zapytanie');
					$polaczenie ->close();
					} else {
						$wiersz = $rezultat->fetch_assoc();
						$tab[0] = $wiersz['kol_fonttytul1'];
						$tab[1] = $wiersz['kol_fontwpis1'];
						$tab[2] = $wiersz['kol_tlowpis1'];
						$tab[3] = $wiersz['kol_ramkawpis1'];
						$tab[4] = $wiersz['kol_fontkomentarz1'];
						$tab[5] = $wiersz['kol_tlokomentarz1'];
						$tab[6] = $wiersz['kol_ramkakomentarz1'];
						$tab[7] = $wiersz['kol_fonttytul2'];
						$tab[8] = $wiersz['kol_fontwpis2'];
						$tab[9] = $wiersz['kol_tlowpis2'];
						$tab[10] = $wiersz['kol_ramkawpis2'];
						$tab[11] = $wiersz['kol_fontkomentarz2'];
						$tab[12] = $wiersz['kol_tlokomentarz2'];
						$tab[13] = $wiersz['kol_ramkakomentarz2'];
						$tab[14] = $wiersz['kol_tloblog'];
						return $tab;						
						$polaczenie ->close();
					}
				}
		}
	//------------------------------------------------	

	//------------------------------------------------	
		function pobierz_wpis($zap) {
			$polaczenie = @new mysqli($this->host, $this->db_user, $this->db_password, $this->db_name);
				if ($polaczenie->connect_errno!=0) {
					komunikat("Error: ".$polaczenie->connect_errno);
				}
				else {
					$rezultat = $polaczenie->query($zap);
					if ($rezultat===false) {
						komunikat('Źle sformułowane zapytanie');
					$polaczenie ->close();
					} else {
						if ($rezultat->num_rows>0) {
							$i=0;
							while (($wynik = $rezultat->fetch_assoc()) !== null){
								$wpis[0][$i] = $wynik['tytul'];
								$wpis[1][$i] = $wynik['tresc'];
								$wpis[2][$i] = $wynik['data_wpisu'];
								$wpis[3][$i] = $wynik['id_wpis'];
								$wpis[4][$i] = $wynik['id_user'];
								$i++;
							}
							return $wpis;
						} else {
							return false;
							}
						$polaczenie ->close();
					}
				}
		}

	
	//------------------------------------------------	
	
	//------------------------------------------------	
		function pobierz_komentarz($zap) {
			$polaczenie = @new mysqli($this->host, $this->db_user, $this->db_password, $this->db_name);
				if ($polaczenie->connect_errno!=0) {
					komunikat("Error: ".$polaczenie->connect_errno);
				}
				else {
					$rezultat = $polaczenie->query($zap);
					if ($rezultat===false) {
						komunikat('Źle sformułowane zapytanie');
					$polaczenie ->close();
					} else {
						if ($rezultat->num_rows>0) {
							$i=0;
							while (($wynik = $rezultat->fetch_assoc()) !== null){
								$wpis[0][$i] = $wynik['id_komentarz'];
								$wpis[1][$i] = $wynik['id_wpisu'];
								$wpis[2][$i] = $wynik['id_user'];
								$wpis[3][$i] = $wynik['nazwa'];
								$wpis[4][$i] = $wynik['komentarz'];
								$wpis[5][$i] = $wynik['data_komentarza'];
								$i++;
							}
							return $wpis;
						} else {
							return false;
							}
						$polaczenie ->close();
					}
				}
		}

	
	//------------------------------------------------	
		
		function komunikat($t) {
			echo 'Błąd: '.$t;
		}
		
	}
?>